html, body{
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

/* Fonts */
@font-face { font-family: Orange-kid; src: url("../fonts/orange_kid.ttf");}


/* Canvas */
#gamecanvas {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 525px;
}

#gamecontainer {
    position: absolute;
    width: 100%;
    height: 100%;
}

#playspace {
    position: absolute;
    bottom: 20%;
    height: 375px;
    width: 100%;
}

/*Game Canvas Moving Elements*/
#sky {
    poistion: absolute;
    top: 0;
    width: 100%;
    height: 80%;
    background-image: url(../assets/sky.png);
    background-position: 0px 100%;
    background-repeat: repeat-x;
    background-color: #4ec0ca;

    animation: skyAnimation 15s linear infinite;
}

#skylimit {
    position: absolute;
    width: 100%;
    top: -15px;
    height: 15px;
    background-image: url(../assets/ceiling.png);
    background-repeat: repeat-x;

    animation: skylimitAnimation 200ms linear infinite;
}

#land {
    position: absolute;
    bottom:0;
    width: 100%;
    height: 20%;
    background-image: url(../assets/land.png);
    background-position: 0px 0px;
    background-repeat: repeat-x;
    background-color: #ded895;

    animation: landAnimation 3s linear infinite;
}

/* Score */
#gamescore {
    position: relative;
    display: none;
    opacity: 0;
    width: 100%;
}

#scorecontainer{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 320px;
    margin-left: -133px;
    height: auto;
    z-index: 120;
}

#scorecontainer img{
    position: absolute;
}

#scorecontainer button{
    border: none;
    background-color: rgba(0,0,0,0);
}

#replay{
    top: 220px;
    right: 70px;
}

#gamescore #scores {
    position: absolute;
    z-index: 120;
    margin-left: 40px;
    text-align: left;
    margin-top: 75px;
    line-height: 0.1;
}

#gamescore #scores p {
    font-family: Orange-kid;
}

#scorecounter {
    position: absolute;
    z-index: 200;
    margin: 13%;
}

#scorecounter p {
    font-family: Orange-Kid;
    font-size: 70px;
    color: Yellow;

}

/* Bird or Player */
#bird{
    position: absolute;
    top:180px;
    left: 50px;
    width: 34px;
    height: 24px;
    z-index: 100;
    background-image: url('../assets/flaprite.png');

    animation: birdAnimation 350ms steps(4) infinite;
}

.pipe {
    position: absolute;
    height: 100%;
    z-index: 5;
    width: 52px;
    left: -100px;

    animation: pipeAnimation 7500ms linear;

}

.pipe_upper
{
    position: absolute;
    top: 0px;
    width: 52px;
    background-image: url('../assets/pipe.png');
    background-repeat: repeat-y;
    background-position: center;
}

.pipe_upper:after
{
    content: "";
    position: absolute;
    bottom: 0;
    width: 52px;
    height: 26px;
    background-image: url('../assets/pipe-down.png');
}

.pipe_lower
{
    position: absolute;
    bottom: 0;
    width: 52px;
    background-image: url('../assets/pipe.png');
    background-repeat: repeat-y;
    background-position: center;
}

.pipe_lower:after
{
    content: "";
    position: absolute;
    top: 0;
    width: 52px;
    height: 26px;
    background-image: url('../assets/pipe-up.png');
}

/* debug*/
.boundingbox
{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    border: 1px solid chartreuse;
}


/* Keyframes Animations */

@keyframes birdAnimation {
    from { background-position: 0px 0px; }
    to { background-position: 0px -96px; }
}

@keyframes skyAnimation {
    0% { background-position: 0px 100%; }
    100% { background-position: -275px 100%; }
}

@keyframes pipeAnimation {
    0% { left: 900px; }
    100% { left: -100px; }
}

@keyframes skylimitAnimation {
    0% { background-position: 0px 0px; }
    100% { background-position: -63px 0px; }
}

@keyframes landAnimation {
    0% { background-position: 0px 0px; }
    100% { background-position: -335px 0px; }
}